<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!--
      Para casos intermediários:
      - também ter o elemento seguindo o último elemento da estrutura de decisão
      - usar a diretiva v-else-if, que verificará uma expressão ou valor booleano
    -->
    <p v-if="logado">Usuário logado: {{ nome }}</p>
    <p v-else-if="anonimo">Navegando como Anônimo</p>
    <p v-else>Nenhum usuário logado</p>
    <button @click="logado = !logado">
      {{ logado ? 'Sair' : 'Entrar' }}
    </button>
    <input type="checkbox" v-model="anonimo" id="anonimous">
    <label for="anonimous">Navegar como anônimo?</label>
  </div>
  <script src="app.js"></script>
</body>

</html>